Bug 198427 - yumex 1.0.2 traceback on update
yumex 1.0.2 traceback on update
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-11 07:37 EDT by Tim Wegener
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 03:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Wegener 2006-07-11 07:37:53 EDT
Description of problem:
When doing an update (2006-07-11) of wine and wxGtk packages the following
traceback occurred:

Component: yumex
Version: 1.0.2
Summary: TBb43bbbbf yumexUtils.py:533:get_child_path_row:TypeError: could not
convert filter_path to a GtkTreePath

Traceback (most recent call last):
  File "yumexUtils.py", line 589, in sort_size_column
  File "yumexUtils.py", line 522, in get_pkg
  File "yumexUtils.py", line 533, in get_child_path_row
TypeError: could not convert filter_path to a GtkTreePath

Local variables in innermost frame:
filterpath: None
self: <yumex.yumexUtils.pkgView instance at 0xb795ccac>
path: 1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run yumex (Red Hat Menu->System->Yum Extender)
2. Select wine and wxGTK packages
3. Add to Queue
4. Queue
5. Process Queue
6. Ok on dialog
7. Wait a while
Actual results:
(Traceback output pasted above.)

Expected results:
Normal update output

Additional info:
Seems to have updated wine successfully, despite the traceback.
It did not install the wxGTK update, but this seems to be a separate issue.
Comment 1 Tim Lauridsen 2006-08-10 03:44:37 EDT
I have tried hard to reproduce this error but i can't.
I will close this bugzilla for know, but reopen it again add the traceback, if
it happenn again.

Note You need to log in before you can comment on or make changes to this bug.